# refind.conf

timeout 0
scanfor manual
showtools firmware,reboot,shutdown
default_selection Linux
csr_values 10,77
#use_graphics_for osx,linux,windows

# Theme
banner rEFInd.png
banner_scale fillscreen
selection_big selection_big.png
selection_small selection_small.png
hideui arrows,badges

# Entries
menuentry "Linux" {
    icon /EFI/boot/icons/wk_arch.png
    loader /arch/boot/x86_64/vmlinuz-linux
    initrd /arch/boot/intel_ucode.img
    initrd /arch/boot/amd_ucode.img
    initrd /arch/boot/x86_64/initramfs-linux.img
    options "archisobasedir=arch archisolabel=%ARCHISO_LABEL% copytoram loglevel=3"
    submenuentry "Linux (CLI)" {
        add_options "nox"
    }
}

menuentry "MemTest86+" {
    icon /EFI/boot/icons/wk_memtest.png
    options "nobigstatus nopause"
    loader /EFI/memtest86+/bootx64.efi
    submenuentry "Memtest86+ (Open Source)" {
        loader /EFI/memtest86+/bootx64.efi
    }
    submenuentry "Memtest86 (Passmark)" {
        loader /EFI/memtest86/bootx64.efi
        options
    }
}

#UFD-MACOS-10.11#menuentry "macOS (El Capitan)" {
#UFD-MACOS-10.11#    icon /EFI/boot/icons/wk_mac_10.11.png
#UFD-MACOS-10.11#    volume "PARTUUID"
#UFD-MACOS-10.11#    loader /System/Library/CoreServices/secretboot.efi
#UFD-MACOS-10.11#    graphics
#UFD-MACOS-10.11#    submenuentry "Mac MemTest" {
#UFD-MACOS-10.11#        add_options "-s"
#UFD-MACOS-10.11#    }
#UFD-MACOS-10.11#}

#UFD-MACOS-10.13#menuentry "macOS (High Sierra)" {
#UFD-MACOS-10.13#    icon /EFI/boot/icons/wk_mac_10.13.png
#UFD-MACOS-10.13#    volume "PARTUUID"
#UFD-MACOS-10.13#    loader /System/Library/CoreServices/secretboot.efi
#UFD-MACOS-10.13#    graphics
#UFD-MACOS-10.13#    submenuentry "Mac MemTest" {
#UFD-MACOS-10.13#        add_options "-s"
#UFD-MACOS-10.13#    }
#UFD-MACOS-10.13#}

#UFD-MACOS-10.15#menuentry "macOS (Catalina)" {
#UFD-MACOS-10.15#    icon /EFI/boot/icons/wk_mac_10.15.png
#UFD-MACOS-10.15#    volume "PARTUUID"
#UFD-MACOS-10.15#    loader /System/Library/CoreServices/secretboot.efi
#UFD-MACOS-10.15#    graphics
#UFD-MACOS-10.15#    submenuentry "Mac MemTest" {
#UFD-MACOS-10.15#        add_options "-s"
#UFD-MACOS-10.15#    }
#UFD-MACOS-10.15#}

#UFD-WINPE#menuentry "WindowsPE" {
#UFD-WINPE#    ostype windows
#UFD-WINPE#    icon /EFI/boot/icons/wk_win.png
#UFD-WINPE#    loader /EFI/microsoft/bootx64.efi
#UFD-WINPE#}

#UFD-ESET#menuentry "ESET SysRescue Live" {
#UFD-ESET#    icon /EFI/boot/icons/1201_eset.png
#UFD-ESET#    loader /EFI/ESET/grubx64.efi
#UFD-ESET#}

#UFD-ASD-3S162#menuentry "ASD: 3s162 - MBPr L2013-2015" {
#UFD-ASD-3S162#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S162#    volume="PARTUUID"
#UFD-ASD-3S162#    loader /boot.efi.secret
#UFD-ASD-3S162#}

#UFD-ASD-3S156#menuentry "ASD: 3s156 - MBAir 2013-2017" {
#UFD-ASD-3S156#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S156#    volume="PARTUUID"
#UFD-ASD-3S156#    loader /boot.efi.secret
#UFD-ASD-3S156#}

#UFD-ASD-3S155#menuentry "ASD: 3s155 - MBPr 2012-E2013, MBAir 2012, iMac 2013" {
#UFD-ASD-3S155#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S155#    volume="PARTUUID"
#UFD-ASD-3S155#    loader /boot.efi.secret
#UFD-ASD-3S155#}

#UFD-ASD-3S150#menuentry "ASD: 3s150 - MBP 2012, MBAir 2012" {
#UFD-ASD-3S150#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S150#    volume="PARTUUID"
#UFD-ASD-3S150#    loader /boot.efi.secret
#UFD-ASD-3S150#}

#UFD-ASD-3S148#menuentry "ASD: 3s148 - MBP L2011" {
#UFD-ASD-3S148#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S148#    volume="PARTUUID"
#UFD-ASD-3S148#    loader /boot.efi.secret
#UFD-ASD-3S148#}

#UFD-ASD-3S147#menuentry "ASD: 3s147 - iMac 21.5 L2011" {
#UFD-ASD-3S147#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S147#    volume="PARTUUID"
#UFD-ASD-3S147#    loader /boot.efi.secret
#UFD-ASD-3S147#}

#UFD-ASD-3S146#menuentry "ASD: 3s146 - MBAir 2011, MM 2011" {
#UFD-ASD-3S146#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S146#    volume="PARTUUID"
#UFD-ASD-3S146#    loader /boot.efi.secret
#UFD-ASD-3S146#}

#UFD-ASD-3S145A#menuentry "ASD: 3s145A - iMac M2011" {
#UFD-ASD-3S145A#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S145A#    volume="PARTUUID"
#UFD-ASD-3S145A#    loader /boot.efi.secret
#UFD-ASD-3S145A#}

#UFD-ASD-3S144#menuentry "ASD: 3s144 - MBP E2011" {
#UFD-ASD-3S144#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S144#    volume="PARTUUID"
#UFD-ASD-3S144#    loader /boot.efi.secret
#UFD-ASD-3S144#}

#UFD-ASD-3S142A#menuentry "ASD: 3s142A - MBAir 2010" {
#UFD-ASD-3S142A#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S142A#    volume="PARTUUID"
#UFD-ASD-3S142A#    loader /boot.efi.secret
#UFD-ASD-3S142A#}

#UFD-ASD-3S140#menuentry "ASD: 3s140 - iMac 2010" {
#UFD-ASD-3S140#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S140#    volume="PARTUUID"
#UFD-ASD-3S140#    loader /boot.efi.secret
#UFD-ASD-3S140#}

#UFD-ASD-3S138#menuentry "ASD: 3s138 - MBP 2010, iMac L2009, MB 2009-2010, MM L2009" {
#UFD-ASD-3S138#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S138#    volume="PARTUUID"
#UFD-ASD-3S138#    loader /boot.efi.secret
#UFD-ASD-3S138#}

#UFD-ASD-3S132#menuentry "ASD: 3s132 - MBP 2008-2009, MBAir 2008-2009, iMac 2009, MB 2008-2009, MM 2009" {
#UFD-ASD-3S132#    icon /EFI/boot/icons/wk_mac.png
#UFD-ASD-3S132#    volume="PARTUUID"
#UFD-ASD-3S132#    loader /boot.efi.secret
#UFD-ASD-3S132#}
